Files
Update file
Updates file metadata such as display name, tags, or metadata.
PATCH
/
workspaces
/
{workspaceSlug}
/
files
/
{fileId}
/
Update file
curl --request PATCH \
--url https://api.example.com/workspaces/{workspaceSlug}/files/{fileId}/ \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"metadata": "<unknown>"
}
'import requests
url = "https://api.example.com/workspaces/{workspaceSlug}/files/{fileId}/"
payload = {
"displayName": "<string>",
"metadata": "<unknown>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({displayName: '<string>', metadata: '<unknown>'})
};
fetch('https://api.example.com/workspaces/{workspaceSlug}/files/{fileId}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"fileExtension": "<string>",
"fileKind": "original",
"fileSize": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originalFilename": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"uploadedBy": {
"username": "<string>",
"avatarUrl": "<string>",
"displayName": "<string>"
},
"versionNumber": 123,
"workspaceSlug": "<string>",
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}"<string>""<string>"Path Parameters
URL-safe workspace identifier.
Unique identifier of the file.
Body
application/json
Request to update file metadata.
Response
Represents a file in responses.
Represents a file in responses.
Creation timestamp.
Display name.
File extension (without dot).
The file's role (original, redacted, audit).
Allowed value:
"original"File size in bytes.
Unique file identifier.
Original filename when uploaded.
Last update timestamp.
Account that uploaded/created the file.
Show child attributes
Show child attributes
Version number (1 for original, higher for newer versions).
Handle of the workspace this file belongs to.
Required string length:
3 - 32Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Parent file ID if this is a newer version.
Update file
